// Project Sword & Gun Copyright © 2021 Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "Weapons/SNGMeleeWeaponBase.h"

#include "SNGWeaponUserInterface.generated.h"

// This class does not need to be modified.
UINTERFACE(MinimalAPI, BlueprintType)
class USNGWeaponUserInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class SWORDNGUN_API ISNGWeaponUserInterface
{
	GENERATED_BODY()

	// Add interface functions to this class. This is the class that will be inherited to implement this interface.
public:
	UFUNCTION()
	virtual ASNGWeaponBase* GetCurrentWeapon()=0;
};
